use crate::packet::packet_data::PacketData;

/// NM = Node Management
/// This is the abstraction for managing nodes.
pub mod node_management;
/// PC = Property Control
/// This is the abstraction for controling properties on a node.
pub mod property_control;
/// RDT = Raw Data Transmission
/// This is the abstraction for sending raw data over domo.
pub mod raw_data_transmission;

impl_into_enum_variant!(PacketData::NodeManagement, node_management::NodeManagementCommand);
impl_into_enum_variant!(PacketData::PropertyControl, property_control::PropertyControlCommand);
impl_into_enum_variant!(PacketData::Unknown, Vec<u8>);
