use super::RawDataTransmission;

impl Into<Vec<u8>> for RawDataTransmission {
    fn into(self) -> Vec<u8> {
        match self {
            RawDataTransmission::SetupTransmission { size, mime_type } => {
                let mut v = vec![];
                v.extend(size.to_be_bytes().to_vec());
                v.extend(mime_type.into_bytes());
                v
            },
            RawDataTransmission::Data { sequence_number, size, data } => {
                let mut v = vec![];
                v.extend(sequence_number.to_be_bytes().to_vec());
                v.extend(size.to_be_bytes().to_vec());
                v.extend(data);
                v
            }
        }
    }
}